Bug 468657 - Save to Bugzilla failed with 'A legal Version was not set'
Save to Bugzilla failed with 'A legal Version was not set'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
NEEDSRETESTING
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 04:41 EDT by Alexander Todorov
Modified: 2009-02-16 15:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 15:32:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of error (105.53 KB, image/png)
2008-10-27 04:41 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2008-10-27 04:41:06 EDT
Created attachment 321586 [details]
screen shot of error

Description of problem:
trying to save the traceback from bug #468656 from anaconda failed. See screen shot.

Version-Release number of selected component (if applicable):
F10-Beta/anaconda-11.4.1.40

How reproducible:


Steps to Reproduce:
see: https://bugzilla.redhat.com/show_bug.cgi?id=468656#c0
Comment 1 Alexander Todorov 2008-10-27 05:47:58 EDT
One important thing: I think I've typed my password wrong in the bugzilla dialog.
Comment 2 Chris Lumens 2008-10-27 11:16:14 EDT
Can you give updates=http://clumens.fedorapeople.org/468657.img a try with this same tree and see what happens?  It's not a matter of the wrong password - that should be caught and display an error message.  It's that the product version we get is '10-Beta', which is not a valid version in bugzilla.  We need to map unknown versions to rawhide or whatever else is the devel version.
Comment 3 Alexander Todorov 2008-10-28 03:38:18 EDT
Chris,
using the updates.img I don't get the error message but I don't get a confirmation if the bug was really filed. Searching through bugzilla shows it wasn't filed.
Comment 4 Chris Lumens 2008-10-28 09:56:35 EDT
Okay, this is going to take some extra testing and development on my part then.  Thanks for trying that out.
Comment 5 Chris Lumens 2008-10-28 14:16:44 EDT
Ah yes, I see what's going on.  My patch does appear to be working but the python-bugzilla from your Beta tree had a couple bugs that prevented save-to-bugzilla from working.  I'd say we can test this out with the next build of anaconda, but we're really going to need another tree with an atypical version number before we can see if it's really working.

I'll go ahead and commit, put this in MODIFIED, and add NEEDSRETESTING for our future reference.
Comment 6 Till Maas 2008-11-05 09:27:17 EST
Save to bugzilla worked for me with the F10 prerelease.
Comment 7 Bug Zapper 2008-11-25 23:17:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.